﻿using System;
using System.IO.IsolatedStorage;
using System.Windows;
using System.Windows.Controls;
using Microsoft.Phone.Controls;

namespace MyMemo {
  public partial class PageSelectFile : 
    PhoneApplicationPage {
    
    public PageSelectFile() {
      InitializeComponent();
    }

    protected override void OnNavigatedTo(
      System.Windows.Navigation.NavigationEventArgs e) {

      base.OnNavigatedTo(e);

      ApplicationTitle.Text = MainPage.ApplicationName;
      IsolatedStorageFile isf = IsolatedStorageFile.
        GetUserStoreForApplication();
      string[] filenames = isf.GetFileNames();
      listBoxFile.Items.Clear();
      foreach (string file in filenames)
        if (".txt" == System.IO.Path.GetExtension(file).
          ToLower())
          listBoxFile.Items.Add(file);
      isf.Dispose();

      string msg = "";
      if (NavigationContext.QueryString.TryGetValue(
        "msg", out msg))
        PageTitle.Text = msg + "File";
    }

    private void listBoxFile_SelectionChanged(
      object sender, SelectionChangedEventArgs e) {

      if (listBoxFile.SelectedIndex != -1)
        textBoxFilename.Text =
          listBoxFile.SelectedItem.ToString();
    }

    private void buttonOK_Click(object sender, 
      RoutedEventArgs e) {
      
      string filename = textBoxFilename.Text;
      if (filename != "") {
        if (".txt" != System.IO.Path.GetExtension(
          filename).ToLower())
          filename += ".txt";
        NavigationService.Navigate(new Uri(
          "/MainPage.xaml?msg=" + filename, 
          UriKind.Relative));
      }
    }

    private void buttonCancel_Click(object sender, 
      RoutedEventArgs e) {
      
      MainPage.MyAction = Action.None;
      NavigationService.GoBack();
    }
  }
}