using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace WindowsPhoneGame1 {
  public class Game1 : Microsoft.Xna.Framework.Game {
    GraphicsDeviceManager graphics;
    SpriteBatch spriteBatch;
    SpriteFont spriteFont;

    public Game1() {
      graphics = new GraphicsDeviceManager(this);
      Content.RootDirectory = "Content";
      TargetElapsedTime = TimeSpan.FromTicks(333333);

      graphics.SupportedOrientations = 
        DisplayOrientation.Portrait;
      graphics.PreferredBackBufferWidth = 480;
      graphics.PreferredBackBufferHeight = 800;
    }

    protected override void Initialize() {
      base.Initialize();
      Guide.BeginShowMessageBox(PlayerIndex.One, 
        this.ToString(), "ɂ́I", 
        new string[] { "OK" }, 0,
        MessageBoxIcon.None, null, null);
    }

    protected override void LoadContent() {
      spriteBatch = new SpriteBatch(GraphicsDevice);
      spriteFont = 
        Content.Load<SpriteFont>("SpriteFont1");
    }

    protected override void UnloadContent() {
    }

    protected override void Update(GameTime gameTime) {
      if (GamePad.GetState(PlayerIndex.One).Buttons.Back 
        == ButtonState.Pressed)
        this.Exit();
      base.Update(gameTime);
    }

    protected override void Draw(GameTime gameTime) {
      GraphicsDevice.Clear(Color.CornflowerBlue);

      spriteBatch.Begin();
      spriteBatch.DrawString(spriteFont, "hello!",
        new Vector2(50, 20), Color.White);

      //spriteBatch.DrawString(spriteFont, 
      //  DateTime.Now.ToString(),
      //  new Vector2(0, 20), Color.White);
      spriteBatch.End();

      base.Draw(gameTime);
    }
  }
}
